Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar.xmlschema
Class SimpleTypeExp

    java.lang.Object
      com.sun.msv.grammar.Expression
          com.sun.msv.grammar.ReferenceExp
              com.sun.msv.grammar.xmlschema.RedefinableExp
                  com.sun.msv.grammar.xmlschema.XMLSchemaTypeExp
                      com.sun.msv.grammar.xmlschema.SimpleTypeExp

All Implemented Interfaces:
  java.io.Serializable

public class SimpleTypeExp
extends XMLSchemaTypeExp

Simple type declaration.

Most of the properties of the simple type declaration component is defined in the `XSDatatype` object, which is obtained by the `getType()` method.

Note: XML Schema allows forward reference to simple types. Therefore it must be indirectionalized by ReferenceExp. And this is the only reason this class exists.

Author:
  Kohsuke KAWAGUCHI
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sun.msv.grammar.xmlschema.XMLSchemaTypeExp
`EXTENSION, RESTRICTION`

Fields inherited from class com.sun.msv.grammar.ReferenceExp
`exp, name`

Fields inherited from class com.sun.msv.grammar.Expression
`anyString, epsilon, nullSet, verifierTag`

Method Summary
`int` | `getBlock()` gets the value of the block constraint.
`RedefinableExp` | `getClone()` clone this object.
`XSDatatype` | `getDatatype()` Gets the encapsulated Datatype object.
`XSDatatypeExp` | `getType()` gets the XSDatatypeExp object that represents this simple type.
`void` | `redefine(RedefinableExp _rhs)` assigns contents of rhs to this object.
`void` | `set(XSDatatypeExp exp)`

Methods inherited from class com.sun.msv.grammar.ReferenceExp
`equals, isDefined, visit, visit, visit, visit`

Methods inherited from class com.sun.msv.grammar.Expression
`getExpandedExp, hashCode, isEpsilonReducible, peelOccurence, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### set

    public void set(XSDatatypeExp exp)

### getType

    public XSDatatypeExp getType()

  gets the XSDatatypeExp object that represents this simple type.

### getDatatype

    public XSDatatype getDatatype()

  Gets the encapsulated Datatype object.

  This method can be called only after the parsing is finished.

### getBlock

    public int getBlock()

  gets the value of the block constraint. SimpleTypeExp always returns 0 because it doesn't have the block constraint.

  Specified by:
    `getBlock` in class `XMLSchemaTypeExp`

### getClone

    public RedefinableExp getClone()

  clone this object.

  Specified by:
    `getClone` in class `RedefinableExp`

### redefine

    public void redefine(RedefinableExp _rhs)

  Description copied from class: `RedefinableExp`
  assigns contents of rhs to this object. rhs and this object must be the same runtime type, and they must have the same name. this method redefines this object by the given component. derived class should override this method and copy necessary fields, should it necessary.

  Overrides:
    `redefine` in class `RedefinableExp`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD